Skip to main content
Employee / Packages

Get package items

This method requires the EmployeePackageItems:Get permission to be associated with your role.

GET
/sp/package/items
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
posting_map_idstringquery

Optional Posting Map Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
package_item_codestringquery

Optional Package Item Code

This field supports the wildcard % operator.

Maximum string length: 6
Pattern: ^[a-zA-Z0-9\-\_\%]+$
modulestringquery

Optional Module

This field supports the wildcard % operator.

Maximum string length: 6
Pattern: ^[a-fA-F0-9]+$
benefit_typeenum<string>query

Optional Benefit Type

Available options: type-1, type-2, exempt
cap_typeenum<string>query

Optional Cap Type

Available options: primary, meal
tax_methodenum<string>query

Optional Tax Method

Available options: pre-tax, post-tax
employee_contribution_flagenum<string>query

Optional Employee Contribution Flag

Available options: yes, no
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1